From 7bfc830b32d6f48eb56cf88d7dc5a01d92c74fa9 Mon Sep 17 00:00:00 2001
From: Andrey Kuchev <Andrey Kuchev>
Date: Thu, 8 Oct 2015 11:49:47 -0700
Subject: Added compatibility with Django v1.5 for HttpResponseWrapper class

 Add compatibility for django 1.5 due to HttpResponse._get_content
 not existing in Django 1.5
Origin: https://bitbucket.org/jespern/django-piston/pull-request/34/added-compatibility-with-django-v15-for
Bug-Ubuntu: https://launchpad.net/bugs/1185012

Patch-Name: 05-compat-django1.5-httpresponsewrapper.patch
---
 piston/utils.py | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/piston/utils.py b/piston/utils.py
index 3439686..84fb665 100644
--- a/piston/utils.py
+++ b/piston/utils.py
@@ -77,7 +77,15 @@ class rc_factory(object):
                 else:
                     self._is_string = is_string
 
-            content = property(HttpResponse._get_content, _set_content)            
+            if django.VERSION >= (1, 5):
+                # HttpResponse._get_content does not exists in Django 1.5
+
+                @HttpResponse.content.setter
+                def content(self, content):
+                    self._set_content(content)
+
+            else:
+                content = property(HttpResponse._get_content, _set_content)
 
         return HttpResponseWrapper(r, content_type='text/plain', status=c)
     
